haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.CabalHooks

Description

Convenience hooks for writing custom `Setup.hs` files for bindings.

Synopsis

- setupBinding :: Text -> Text -> Text -> Text -> Bool -> Maybe FilePath -> [TaggedOverride] -> Maybe FilePath -> IO ()
- setupCompatWrapper :: String -> [Text] -> IO ()
- configureDryRun :: Text -> Text -> Text -> Text -> Maybe FilePath -> [TaggedOverride] -> IO ([Text], Set Text)
- data TaggedOverride = TaggedOverride {
  - overrideTag :: Text
  - overrideText :: Text
  }

# Documentation

setupBinding Source #

Arguments

:: Text | name
-> Text | version
-> Text | pkgName
-> Text | pkgVersion
-> Bool | verbose
-> Maybe FilePath | overrides file
-> [TaggedOverride] | Explicit overrides
-> Maybe FilePath | output dir
-> IO () |

The entry point for `Setup.hs` files in bindings.

setupCompatWrapper Source #

Arguments

:: String | New package
-> [Text] | List of files in the new package
-> IO () |

The entry point for `Setup.hs` files in compat bindings.

configureDryRun Source #

Arguments

:: Text | name
-> Text | version
-> Text | pkgName
-> Text | pkgVersion
-> Maybe FilePath | Overrides file
-> [TaggedOverride] | Other overrides to load
-> IO ([Text], Set Text) |

Return the list of modules that `setupHaskellGIBinding` would create, together with the set of dependencies loaded while generating the code.

data TaggedOverride Source #

Included overrides file.

Constructors

TaggedOverride |

Fields

- overrideTag :: Text

  Tag for the override, for error reporting purposes.

- overrideText :: Text